diff options
author | jsorg71 <jsorg71> | 2008-08-03 07:30:03 +0000 |
---|---|---|
committer | jsorg71 <jsorg71> | 2008-08-03 07:30:03 +0000 |
commit | d703a49c9c6c45070f6c989c6f4e1aba42835221 (patch) | |
tree | 799cc267a2e7836376a341df678d0589b0599f8d | |
parent | d14b076a700e1ad87048549945f0f1e658db6cd5 (diff) | |
download | xrdp-proprietary-d703a49c9c6c45070f6c989c6f4e1aba42835221.tar.gz xrdp-proprietary-d703a49c9c6c45070f6c989c6f4e1aba42835221.zip |
autotools
-rw-r--r-- | Makefile.am | 10 | ||||
-rwxr-xr-x | bootstrap | 24 | ||||
-rw-r--r-- | configure.ac | 28 |
3 files changed, 62 insertions, 0 deletions
diff --git a/Makefile.am b/Makefile.am new file mode 100644 index 00000000..2135bb3a --- /dev/null +++ b/Makefile.am @@ -0,0 +1,10 @@ + +SUBDIRS = \ + common \ + vnc \ + rdp \ + xup \ + mc \ + libxrdp \ + xrdp \ + sesman diff --git a/bootstrap b/bootstrap new file mode 100755 index 00000000..af569f08 --- /dev/null +++ b/bootstrap @@ -0,0 +1,24 @@ +#!/bin/sh + +which autoconf +if ! test $? -eq 0 +then + echo "error, install autoconf" + exit 1 +fi + +which automake +if ! test $? -eq 0 +then + echo "error, install automake" + exit 1 +fi + +which libtool +if ! test $? -eq 0 +then + echo "error, install libtool" + exit 1 +fi + +autoreconf -fvi diff --git a/configure.ac b/configure.ac new file mode 100644 index 00000000..6016ca62 --- /dev/null +++ b/configure.ac @@ -0,0 +1,28 @@ +# Process this file with autoconf to produce a configure script + +AC_PREREQ(2.59) +AC_INIT([xrdp], [0.5.0], [xrdp-devel@lists.sourceforge.net]) +AC_CONFIG_HEADERS([config.h:config-h.in]) +AM_INIT_AUTOMAKE([1.6 foreign]) +AC_PROG_CC +AC_C_CONST +AC_PROG_LIBTOOL +AC_CONFIG_FILES([Makefile + common/Makefile + vnc/Makefile + rdp/Makefile + libxrdp/Makefile + xup/Makefile + mc/Makefile + xrdp/Makefile + sesman/Makefile + sesman/libscp/Makefile +]) +# docs/Makefile +# docs/man/Makefile +# fontdump/Makefile +# keygen/Makefile +# sesman/tools/Makefile +# xrdp/cursors/Makefile +# Xserver/hw/rdp/Makefile +AC_OUTPUT |